public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/zc-lockfile/
Date: Fri, 22 Nov 2019 00:20:56 +0000 (UTC)	[thread overview]
Message-ID: <1574380512.c0c0ba7575e436b0d9087a97a991b9c50f11ae19.chutzpah@gentoo> (raw)

commit:     c0c0ba7575e436b0d9087a97a991b9c50f11ae19
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu Nov 21 22:16:20 2019 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Nov 21 23:55:12 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0c0ba75

dev-python/zc-lockfile: Version bump to 2.0

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/zc-lockfile/Manifest               |  1 +
 dev-python/zc-lockfile/zc-lockfile-2.0.ebuild | 48 +++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/zc-lockfile/Manifest b/dev-python/zc-lockfile/Manifest
index cc657aa92f0..9cc5fa579c3 100644
--- a/dev-python/zc-lockfile/Manifest
+++ b/dev-python/zc-lockfile/Manifest
@@ -1 +1,2 @@
 DIST zc.lockfile-1.4.tar.gz 11075 BLAKE2B 4fcc18b4d337c1b102916588aef7271fe189f30e442b5d2180b5a20d804f84649d4bf9dc6f601e6b7ee38c4a436c3848b83cbcb1a19974acdf072347b6822b83 SHA512 f145c34088770b50002d1caa88876f9fb11f3b9810fe68b8e1a38d27084d27ce058883228469abb05811f3f11a7b94acdaad8392eb1b6c34c98ddc885cdf77be
+DIST zc.lockfile-2.0.tar.gz 11923 BLAKE2B 7609f64eef4521f0aa95dc899b253570a317bd997cced00665a2dbe22cf7f834ce75daaf4fdf79520157dee31742758aad1844d49c5eccb780e7d5fd2e8e5ac5 SHA512 2586bafacb12540383695a24cb01fd284e61bfa3fcb16431ed0e91278e547c68983363fb69c1ffbd54f7c22db43300ba018ccd2fb3e21666c98860415b7a3c3b

diff --git a/dev-python/zc-lockfile/zc-lockfile-2.0.ebuild b/dev-python/zc-lockfile/zc-lockfile-2.0.ebuild
new file mode 100644
index 00000000000..66a97118c5c
--- /dev/null
+++ b/dev-python/zc-lockfile/zc-lockfile-2.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_{5,6,7,8}} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Basic inter-process locks"
+HOMEPAGE="https://pypi.org/project/zc.lockfile/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="test"
+
+RDEPEND=">=dev-python/setuptools-3.3[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	test? ( dev-python/zope-testing[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}"/${MY_P}
+
+DOCS=( CHANGES.rst README.rst )
+
+distutils_enable_tests nose
+
+# Prevent incorrect installation of data file
+python_prepare_all() {
+	sed -e '/^    include_package_data/d' -i setup.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_install() {
+	distutils-r1_python_install
+
+	python_moduleinto zc
+	python_domodule src/zc/__init__.py
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	find "${D}" -name '*.pth' -delete || die
+}


             reply	other threads:[~2019-11-22  0:21 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-22  0:20 Patrick McLean [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-01 19:01 [gentoo-commits] repo/gentoo:master commit in: dev-python/zc-lockfile/ Arthur Zamarin
2025-02-16 20:33 Michał Górny
2025-01-04 15:08 Sam James
2024-11-30 16:43 Michał Górny
2024-10-25 12:09 Arthur Zamarin
2024-07-11 20:55 James Le Cuirot
2024-06-15  4:22 Michał Górny
2023-10-20 14:49 Michał Górny
2023-03-28  4:26 Michał Górny
2023-03-27 19:31 Sam James
2023-03-27 19:31 Sam James
2023-03-27 17:58 Arthur Zamarin
2023-03-27 17:58 Arthur Zamarin
2023-03-27 17:58 Arthur Zamarin
2023-03-27 17:58 Arthur Zamarin
2023-03-21  6:49 Michał Górny
2023-03-01  6:16 Michał Górny
2023-03-01  6:16 Michał Górny
2023-02-24  6:00 Michał Górny
2023-01-03  2:53 WANG Xuerui
2022-10-22 14:54 Michał Górny
2022-06-22 12:01 Michał Górny
2022-06-22 10:16 Agostino Sarubbo
2022-06-22 10:13 Agostino Sarubbo
2022-06-22 10:10 Agostino Sarubbo
2022-06-21 19:26 Arthur Zamarin
2022-06-21 18:37 Arthur Zamarin
2022-05-22  9:25 Michał Górny
2022-05-22  9:25 Michał Górny
2021-09-02 22:57 Marek Szuba
2021-06-05 18:44 Michał Górny
2020-07-13 23:13 Sam James
2020-06-22 19:05 Mart Raudsepp
2020-06-21 11:18 Michał Górny
2020-06-21 11:18 Michał Górny
2020-06-20 14:20 Thomas Deutschmann
2020-05-30 20:33 Sergei Trofimovich
2020-05-30 16:20 Michał Górny
2020-05-16 11:25 Mikle Kolyada
2020-03-29 12:22 Michał Górny
2020-03-17  2:09 Matt Turner
2020-02-06  7:10 Michał Górny
2020-01-28 10:20 Agostino Sarubbo
2019-12-12  2:19 Georgy Yakovlev
2019-12-04 19:44 Sergei Trofimovich
2019-04-17 18:07 Aaron Bauman
2019-03-10  2:38 William Hubbs
2019-03-08 22:05 William Hubbs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1574380512.c0c0ba7575e436b0d9087a97a991b9c50f11ae19.chutzpah@gentoo \
    --to=chutzpah@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox